Print Management feature overview

Print Management in the Microsoft® Windows Server™ 2003 R2 operating system provides a single interface that administrators can use to perform printer and print server management tasks efficiently with detailed control. You can use Print Management from any computer running Windows Server 2003 R2, and you can manage all network printers on print servers running Windows 2000 Server, Windows Server 2003, or Windows Server 2003 R2.

Use Print Management to perform the following tasks:

  • Add printers to the local print server automatically

  • Add and remove print servers

  • Create a new printer filter

  • Perform printer management tasks

  • View extended features for your printer

  • Deploy printers by using Group Policy

  • Additional resources for Print Management

© 2005 Microsoft Corporation. All rights reserved.


Add printers to the local print server automatically

As the administrator on the local print server, you can add and remove printers. Print Management can automatically detect all printers located on the same subnet as the print server, install the appropriate printer drivers, set up the queues, and share the printers. Unless a printer driver cannot be found, no intervention is needed.

If you want to automatically detect printers for a branch office or another location beyond the subnet of your server, use Remote Desktop to log on to the remote print server and start the process from that computer. You need to have administrator permissions on the computer where the printers will be added. Once you connect to the remote server by using Remote Desktop, you can search for network printers by starting Print Management or by running \windows\pmcsnap\fnprinters.exe from the command line.

To add network printers to the local printer server automatically

  • In the Printer Management tree, right-click ServerName (local), click Automatically Add Network Printers, and then click Start to automatically locate and install printers found on this server's local subnet.
Note

You may be prompted to specify which driver you want to install for a printer, but otherwise, the process is automatic.


Add and remove print servers

Print Management allows you to manage printers that are running on print servers running Windows 2000 Server, Windows Server 2003, and Windows Server 2003 R2.

To add print servers to Print Management

  1. In the Print Management tree, right-click Print Management, and then click Add/Remove Servers.

  2. In the Add/Remove Servers dialog box, under Specify print server, in Add server, do one of the following:

    • Type the name.

    • Click Browse to locate and select the print server.

  3. Click Add to List.

  4. Add as many print servers as you want, and then click OK.

Note

You can add the local server on which you are working by clicking Add the Local Server.
To remove print servers from Print Management

  1. In the Print Management tree, right-click Print Management, and then click Add/Remove Servers.

  2. In the Add/Remove Servers dialog box, under Print servers, select one or more servers, and click Remove.


Create a new printer filter

Filters display only those printers that meet a certain set of criteria. For example, it might be helpful to filter for printers with certain error conditions or those printers in a group of buildings regardless of the print server they use. Filters are stored in the Custom Printer Filters folder in the Print Management tree and are dynamic, so the data is always current.

Two default filters are provided with Print Management. For each filter that you create, you have the option to set up an e-mail notification or to run a script when the conditions of the filter are met. This is useful when you want to be alerted about printer problems, particularly in an organization with multiple buildings and administrators.

For example, you can set up a filter of all printers managed by a particular print server where the status does not equal Ready. Then, if a printer changes from the Ready status to any other status, the administrator could receive a notification e-mail from Print Management.

To set up and save a filtered view

  1. In the Print Management tree, right-click the Custom Printer Filters folder, and then click Add New Printer Filter. This will launch the New Printer Filter Wizard.

  2. On the Printer Filter Name and Description wizard page, type a name for the printer filter. The name will appear in the Custom Printer Filters folder in the Print Management tree.

  3. In Description, type an optional description.

  4. To display the number of printers that satisfy the conditions of a filter, select the Display the total number of printers next to the name of the printer filter check box

  5. Click Next.

  6. On the Define a printer filter wizard page, do the following:

    1. In the Field list, click the print queue or printer status characteristic.

    2. In the Condition list, click the condition.

    3. In the Value box, type a value.

    4. Continue adding criteria until your filter is complete, and then click Next.

  7. On the Set Notifications (Optional) wizard page, do one or both of the following:

    • To set an e-mail notification, select the Send e-mail notification check box, and type one or more recipient and sender e-mail addresses. An SMTP server must be specified to route the message. Use the format account@domain and semicolons to separate multiple accounts.

    • To set a script to run, select the Run script check box, and then type the path where the script file is located. To add more arguments, type them in Additional arguments.

  8. Click Finish.

    Note

    To set notifications on existing printer filters, right-click a filtered view, and then click Set Notifications.

Setting Optional Notifications

When you create or modify a filter, you have the option of sending an automatic e-mail notification to someone or running a script when the conditions of the filter are met. This is useful for resolving printer problems, particularly in an organization with multiple buildings and administrators.

For example, you can set up a view of all printers managed by a particular print server where the status does not equal Ready. Then, if a printer changes from the Ready status to another status, the administrator could receive a notification e-mail from Print Management.

In addition to setting notifications on a custom set of printers, you can set notifications on printer server objects. For example, if the server is offline, or the spooler goes down, an e-mail notification can be sent.

Setting script notifications are useful for resolving printer problems and troubleshooting. For example, you could automatically run a script to restart a spooler when printers go offline. You could also automatically run a script that prints a test page.

Scripts can be written in Visual Basic Script (.vbs) or any scripting language available on the computer. The script has to be on the computer with Print Management. The script should be running with your credentials and you need to have the permissions to do whatever it is that you want the script to do.


Perform printer management tasks

You can use Print Management to manage all of the printers in your enterprise, including printers in branch offices. You can use the same interface to perform bulk operations, update drivers, and list or remove printers from Active Directory.

Perform Bulk Operations

Bulk operations can be performed on all the printers on a particular server or all the printers under a particular filter.

The following is a list of the tasks that are possible to perform on multiple printers simultaneously:

  • Pause Printing

  • Resume Printing

  • Cancel All Jobs

  • List in Directory

  • Remove from Directory

  • Delete

Update Device Drivers

Printer driver details are shown separately for each server that you have added to Print Management. By default, the driver name, driver version, environment, and provider columns are visible. You can add columns to show more details such as the config file path, data file path, default datatype, driver file path, manufacturer, and so on.

You can export the list of details to a text file for use outside of Print Management.

To manage device drivers

  1. In the Print Management tree, under the appropriate print server, right-click Drivers, and then click Manage Drivers.

  2. Do one or more of the following:

    • To add a printer driver, click Add, and then complete the Add Printer Driver Wizard.

    • To remove a printer driver, select a driver from the list, and then click Remove.

    • To reinstall a printer driver, select a driver, and then click Reinstall.

    • To view the details for a printer driver, select the driver, and then click Properties.

List and Remove Printers in Active Directory

Listing printers in Active Directory makes it easier for users to locate and install printers. After you install printers on a printer server, you can use Print Management to list them in Active Directory.

In fact, you can list more than one printer simultaneously. You may want to set up a filter to show all of the printers to list or remove, so that you can easily select all of the printers at the same time.

To list or remove printers in Active Directory

  1. In the Print Management tree, under the appropriate print server, click Printers.

  2. In the results pane, right-click the printer you want to list or remove, and then click List in Directory or Remove from Directory.


View extended features for your printer

Extended view displays beneath the columns in the right pane, separated by a splitter bar. Extended view is useful when you want more information about the status of a print job, its owner, the number of pages, the size of the job, when it was submitted, its port, its priority, and so on.

In addition, when the printer has a Web page, extended view displays a Printer Web Page tab. The Web page provides details about the physical properties of the printer and specifications, and sometimes allows remote administration.

To show extended view

  • In the Print Management tree, under any print server, right-click Printers, and then click Show Extended View.

Note

To display or hide columns in extended view, select a printer. On the Jobs tab, right-click the column heading row, and then click the name of the column that you want to display or hide.


Deploy printers by using Group Policy

Print Management can be used with Group Policy to automatically add printer connections to a computer's Printers and Faxes folder.

To do this, you use the Deploy with Group Policy dialog box to automatically add a printer connection setting to an existing Group Policy object (GPO) in Active Directory. When Group Policy processing runs on client computers, the printer connection settings are applied to the users or computers associated with the GPO. This is called deploying printer connections. Printers you deploy by using this method appear in the Deployed Printers object of Print Management tree when the print server they are connected to is being monitored.

This method of installing a printer is useful in a laboratory, classroom, or branch office setting where every computer in the room or office needs access to the same printer. It is also useful in large organizations, where computers and printers are often separated by function, workgroup, or department, such as marketing or human resources.

A printer connection that has been installed by using a per-user connection is available to the user no matter what computer the user logs on to in the network. A printer connection that has been installed by using a per-machine connection appears in the Printers and Faxes folder, ready for use by any user of that computer.

To enable this feature, you must use a utility called PushPrinterConnections.exe.

Important

In order for the PushPrinterConnections.exe utility to work, you must update your Active Directory schema with the Windows Server 2003 R2 changes. For more information on these schema updates, see the Microsoft Web site (http://go.microsoft.com/fwlink?linkid=51166).

First, add the PushPrinterConnections.exe utility to a machine startup script (for per-machine connections) or to a user logon script (for per-user connections). The utility reads the printer connection settings made in the GPO and adds the printer connection.

Once you deploy printer connection settings to a GPO, the PushPrinterConnections.exe utility will run on the client computers upon logon or restart. The utility reads the settings from the GPO and adds the deployed printer connections to the users or computers to which the GPO applies. You can reuse the GPO used to deploy per-user or per-machine printer connections. For more information about Group Policy and Printers, see Set Group Policy for Printers on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=50998).

It is a good idea to use the same GPO for deploying the printer connection settings and the PushPrinterConnections.exe computer startup or user logon script. This ensures that only users (or computers) that receive the printer connection settings will run the PushPrinterConnections.exe utility.

Note

Only per-user printer connections are supported on computers running Windows 2000. Either Windows XP or versions of Windows Server 2003 are required for per-machine printer connections.

Important

You must have write access to the Group Policy object to use it to manage printers. Before you install printers by using Group Policy, you must have a GPO for your printer connections settings that is assigned to the appropriate users and computers. You can use the Group Policy Object Editor or Active Directory Users and Computers to create a GPO.

For more information about using Group Policy, see Enterprise Management with the Group Policy Management Console on the Microsoft Web site (http://go.microsoft.com/fwlink?linkid=22814).

To install printers to groups of users or computers by using Group Policy

  1. In the Print Management tree, under the appropriate print server, click Printers.

  2. In the results pane, right-click the printer you want to deploy, and then click Deploy with Group Policy.

  3. In the Deploy with Group Policy dialog box, click Browse, and then choose a Group Policy object.

  4. Click OK.

  5. To assign the printer connection setting to the GPO, do one or both of the following:

    • As a per-user setting, select the The users that this GPO applies to (per user) check box.

    • As a per-machine setting, select the The computers that this GPO applies to (per machine) check box.

  6. Click Add.

  7. Repeat steps 3 to 6 to add the printer connection setting to another GPO.

  8. Click OK.

To use the PushPrinterConnections.exe file

  1. Using Group Policy Management console (gpmc.msc), right-click the GPO with your printer connections settings, and then click Edit.

  2. In the Group Policy Object Editor tree, navigate to one following locations:

    • If the printer connections are deployed per-machine, go to Computer Configuration, Windows Settings, Scripts (Startup/Shutdown).

    • If the printer connections are deployed per-user, go to User Configuration, Windows Settings, Scripts (Logon/Logoff).

  3. Right-click Startup or Logon, and then click Properties.

  4. In the Logon Properties or Startup Properties dialog box, click Show Files.

  5. Copy the PushPrinterConnections.exe file to this location and then close the window.

  6. In the Logon Properties or Startup Properties dialog box, click Add.

  7. Type PushPrinterConnections.exe in the Script Name box.

  8. If you want to enable logging, type –log in the Script Parameters box. Log files are written to %windir%\temp\ppcMachine.log (for per-computer connections) and %temp%\ppcUser.log (for per-user connections) on the computer on which the policy is applied.

  9. Click OK.

    Note

    For per-computer connections, the printer connections will be added when the client computer restarts. For per-user connections, the printer connections will be added when the user logs on.

    Note

    If you remove the printer connection settings from the GPO, the PushPrinterConnections.exe will remove the corresponding printers from the client computer on the next restart or user logon.


Additional resources for Print Management

The following resources provide additional information about Print Management.

  • For information about using scripts, see Script Repository: Printing on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=50001).

  • For more information about Print Services, see Print Services on the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=50121).


Print Management Help buttons overview

The following topics provide descriptions of User Interface (UI) elements in Print Management:

  • Add/Remove Servers dialog box overview

  • Filter Properties dialog box overview

  • Deploy with Group Policy dialog box overview

  • Set Notifications dialog box overview


Add/Remove Servers dialog box overview

The following table provides descriptions of the User Interface (UI) elements for the Add/Remove Servers dialog box.

Element | Description
Add server | The name of the print server you want Print Management to manage.
Add to List | Adds the print server to the list at the bottom of the page and clears the Add Server box.
Add the Local Server | Adds the computer on which you are logged on to the list of managed print servers.
Remove | Deletes the selection.
Remove All | Clears the entire list.


Filter Properties dialog box overview

The following table provides descriptions of the User Interface (UI) elements for the Filter Properties dialog box.

Element | Description
Name | Provides a space for you to type a name for the printer filter.
Description | Provides a space for you to type a description for the printer filter that helps differentiate it from other printer filters.
Field | Lists the available print queue or printer status characteristic.
Condition | Lists the available conditions.
Value | Lists the available values.
Clear All | Clears all criteria fields.


Deploy with Group Policy dialog box overview

The following table provides descriptions of the User Interface (UI) elements for the Deploy with Group Policy dialog box.

Element | Description
The users that this GPO applies to (per user) | Specifies whether to assign the printer connection setting to the GPO on a per-user basis.
The computers that this GPO applies to (per machine) | Specifies whether to assign the printer connection setting to the GPO on a per-machine basis.
Add | Adds the printer connection setting.
Remove | Deletes the selection.
Remove All | Clears the entire list.


Set Notifications dialog box overview

The following table provides descriptions of the User Interface (UI) elements for the Set Notifications dialog box.

Element | Description
Send e-mail notification | Enables or disables sending an automatic e-mail notification to someone when the conditions of a filter are met.
Recipient e-mail address(es) | Provides a space for you to type the e-mail address of the recipient.
Sender e-mail address | Provides a space for you to type the e-mail address of the sender.
SMTP server | Provides a space for you to type the host name of the SMTP server that will forward the e-mail notifications.
Message | Provides a space for you to type a text message describing the conditions of the printer problem.
Run script | Enables or disables running a script when the conditions of a filter are met
Path | Provides a space for you to type the path where the script file is located.
Additional arguments | Provides a space for you to add more arguments.
Test | Tests the e-mail or script notification settings.